ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-13335) Install package command during RU should honor excluded packages
Date Wed, 07 Oct 2015 10:14:26 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-13335?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14946628#comment-14946628
] 

Hadoop QA commented on AMBARI-13335:
------------------------------------

{color:red}-1 overall{color}.  Here are the results of testing the latest attachment 
  http://issues.apache.org/jira/secure/attachment/12765354/AMBARI-13335.patch
  against trunk revision .

    {color:red}-1 patch{color}.  The patch command could not apply the patch.

Console output: https://builds.apache.org/job/Ambari-trunk-test-patch/3913//console

This message is automatically generated.

> Install package command during RU should honor excluded packages
> ----------------------------------------------------------------
>
>                 Key: AMBARI-13335
>                 URL: https://issues.apache.org/jira/browse/AMBARI-13335
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.1.2
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.1.3
>
>         Attachments: AMBARI-13335.patch
>
>
> It seems that install package custom action is not taking into account the logic in the
stack to exclude packages. Therefore, it is installing hadooplzo, phoenix, even if they should
be installed. This causes issue for folks using local repo which may not include these packages.
> We need a design where package exclusion logic lives in a single location - perhaps stack
definition itself - that is shared by Upgrade code as well as regular stack install code.
> Meanwhile, we may need a hot-fix to avoid installing hadooplzo during RU. This can be
a bit hacky as its needed on 2.1.2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message